Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class PoissonDistImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.PoissonDistImpl

public class PoissonDistImpl
extends BaseImpl
implements UnsignedDistribution, UnsignedDistributionS, PoissonDistS, PoissonDist

Poisson distribution. A distribution used to model the integer number of occurrences of some event over an interval of time or space.

Constructor Summary
`PoissonDistImpl()`
`PoissonDistImpl(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.
`PoissonDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`PoissonDistImpl(Zone aZone, SimpleRandomGenerator generator, double anOccurRate, double anInterval)` Use this create message if the generator to be attached is a Simple one and both the occurrence rate and the interval are set at create time:
`PoissonDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:
`PoissonDistImpl(Zone aZone, SplitRandomGenerator generator, int vGen, double anOccurRate, double anInterval)` Use this create message if the generator to be attached is a Split one and both the occurrence rate and the interval are to be set at create time:

Methods implemented by this class for interface swarm.random.UnsignedDistribution
`getUnsignedSample`

Methods implemented by this class for interface swarm.random.PoissonDistS
`setInterval, setOccurRate, setOccurRate$setInterval`

Methods implemented by this class for interface swarm.random.PoissonDist
`getInterval, getOccurRate, getUnsignedSampleWithInterval, getUnsignedSampleWithOccurRate$withInterval`

Methods implemented by this class for interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoissonDistImpl

    public PoissonDistImpl()

### PoissonDistImpl

    public PoissonDistImpl(Zone aZone,
                           SplitRandomGenerator generator,
                           int vGen,
                           double anOccurRate,
                           double anInterval)

  Use this create message if the generator to be attached is a Split one and both the occurrence rate and the interval are to be set at create time:

### PoissonDistImpl

    public PoissonDistImpl(Zone aZone,
                           SimpleRandomGenerator generator,
                           double anOccurRate,
                           double anInterval)

  Use this create message if the generator to be attached is a Simple one and both the occurrence rate and the interval are set at create time:

### PoissonDistImpl

    public PoissonDistImpl(Zone aZone,
                           SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### PoissonDistImpl

    public PoissonDistImpl(Zone aZone,
                           SplitRandomGenerator splitGenerator,
                           int vGen)

  Use this create message if the generator to be attached is a Split one:

### PoissonDistImpl

    public PoissonDistImpl(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD